Index: sources/app/src/main/java/parkup/data/WorkerDemoParkingZones.java
===================================================================
--- sources/app/src/main/java/parkup/data/WorkerDemoParkingZones.java	(revision 98f448a5217d1b04c85405d87889e64c1b6debb3)
+++ sources/app/src/main/java/parkup/data/WorkerDemoParkingZones.java	(revision 80ddcae0efe5aee1b7ebab89aaa1a4b3c8e71bdf)
@@ -38,5 +38,5 @@
         this.role = v.getRole();
         this.status = v.getStatus();
-        this.locked=v.isEnabled();
+        this.locked= !v.isAccountNonLocked();
         this.pzNames = v.getParkingZones().stream().map(ParkingZone::getPzName).collect(Collectors.toList());
     }
Index: sources/app/src/main/java/parkup/data/enumarations/SessionStatus.java
===================================================================
--- sources/app/src/main/java/parkup/data/enumarations/SessionStatus.java	(revision 98f448a5217d1b04c85405d87889e64c1b6debb3)
+++ sources/app/src/main/java/parkup/data/enumarations/SessionStatus.java	(revision 80ddcae0efe5aee1b7ebab89aaa1a4b3c8e71bdf)
@@ -2,6 +2,6 @@
 
 public enum SessionStatus {
+    STARTED_UNVERIFIED,
     STARTED_VERIFIED,
-    STARTED_UNVERIFIED,
     ENDED_UNPAID,
     ENDED_PAID
Index: sources/app/src/main/java/parkup/entities/ParkingZone.java
===================================================================
--- sources/app/src/main/java/parkup/entities/ParkingZone.java	(revision 98f448a5217d1b04c85405d87889e64c1b6debb3)
+++ sources/app/src/main/java/parkup/entities/ParkingZone.java	(revision 80ddcae0efe5aee1b7ebab89aaa1a4b3c8e71bdf)
@@ -54,4 +54,7 @@
     @OneToMany(cascade = {CascadeType.ALL})
     private List<ParkingSpace> parkingSpaces;
+
+    @Transient
+    private List<String> responsibleWorkers;
 
 
@@ -119,5 +122,11 @@
         this.price = price;
     }
+    public List<String> getResponsibleWorkers() {
+        return responsibleWorkers;
+    }
 
+    public void setResponsibleWorkers(List<String> responsibleWorkers) {
+        this.responsibleWorkers = responsibleWorkers;
+    }
     public int getCapacity() {
         return this.capacity;
Index: sources/app/src/main/java/parkup/entities/Worker.java
===================================================================
--- sources/app/src/main/java/parkup/entities/Worker.java	(revision 98f448a5217d1b04c85405d87889e64c1b6debb3)
+++ sources/app/src/main/java/parkup/entities/Worker.java	(revision 80ddcae0efe5aee1b7ebab89aaa1a4b3c8e71bdf)
@@ -60,5 +60,5 @@
     private UserRole role;
 
-    @ManyToMany
+    @ManyToMany(fetch = FetchType.EAGER)
     private List<ParkingZone> parkingZones;
 
Index: sources/app/src/main/java/parkup/services/ParkingZoneService.java
===================================================================
--- sources/app/src/main/java/parkup/services/ParkingZoneService.java	(revision 98f448a5217d1b04c85405d87889e64c1b6debb3)
+++ sources/app/src/main/java/parkup/services/ParkingZoneService.java	(revision 80ddcae0efe5aee1b7ebab89aaa1a4b3c8e71bdf)
@@ -133,5 +133,5 @@
                     }
                 }else{
-                    parkingZoneNov.setParkingSpaces(null);
+                    parkingZoneNov.setParkingSpaces(new ArrayList<>());
                 }
                 if (!responsibleWorkers.isEmpty()) {
@@ -182,4 +182,5 @@
             pz.setCapacity(calculateCapacity(pz.getId()));
             pz.setTakenSpaces(calculateTakenSpaces(pz.getId()));
+            pz.setResponsibleWorkers(getWorkers(pz.getId()));
         }
         public List<WorkerDemo> getResponsibleWorkers(int pzId){
@@ -187,4 +188,9 @@
             return workerRepository.findAll().stream().filter(w->w.getParkingZones().contains(parkingZone)).map(WorkerDemo::new).collect(Collectors.toList());
         }
+        public List<String> getWorkers(int pzId){
+            ParkingZone parkingZone =parkingZoneRepository.findByPzId(pzId);
+            return workerRepository.findAll().stream().filter(w->w.getParkingZones().contains(parkingZone)).map(w->w.getFirstName() + " " + w.getLastName()).collect(Collectors.toList());
+
+        }
     }
 
Index: sources/app/src/main/java/parkup/services/WorkerService.java
===================================================================
--- sources/app/src/main/java/parkup/services/WorkerService.java	(revision 98f448a5217d1b04c85405d87889e64c1b6debb3)
+++ sources/app/src/main/java/parkup/services/WorkerService.java	(revision 80ddcae0efe5aee1b7ebab89aaa1a4b3c8e71bdf)
@@ -115,5 +115,5 @@
                 workerOpt.get().setPassword(bCryptPasswordEncoder.encode(password));
             }
-            workerOpt.get().setAccount(locked);
+            workerOpt.get().setLocked(locked);
 
             if (firstName != null && firstName.length() > 1 && !Objects.equals(workerOpt.get().getFirstName(), firstName)) {
Index: sources/app/src/main/resources/application.properties
===================================================================
--- sources/app/src/main/resources/application.properties	(revision 98f448a5217d1b04c85405d87889e64c1b6debb3)
+++ sources/app/src/main/resources/application.properties	(revision 80ddcae0efe5aee1b7ebab89aaa1a4b3c8e71bdf)
@@ -1,6 +1,6 @@
 spring.datasource.url=jdbc:postgresql://localhost:5432/parkupdb
 spring.datasource.username=postgres
-spring.datasource.password=1234
-spring.jpa.hibernate.ddl-auto=update
+spring.datasource.password=Lampion123
+spring.jpa.hibernate.ddl-auto=create-drop
 spring.jpa.show-sql=true
 spring.jpa.properties.hibernate.dialect=org.hibernate.dialect.PostgreSQLDialect
Index: sources/app/target/classes/application.properties
===================================================================
--- sources/app/target/classes/application.properties	(revision 98f448a5217d1b04c85405d87889e64c1b6debb3)
+++ sources/app/target/classes/application.properties	(revision 80ddcae0efe5aee1b7ebab89aaa1a4b3c8e71bdf)
@@ -1,6 +1,6 @@
 spring.datasource.url=jdbc:postgresql://localhost:5432/parkupdb
 spring.datasource.username=postgres
-spring.datasource.password=1234
-spring.jpa.hibernate.ddl-auto=update
+spring.datasource.password=Lampion123
+spring.jpa.hibernate.ddl-auto=create-drop
 spring.jpa.show-sql=true
 spring.jpa.properties.hibernate.dialect=org.hibernate.dialect.PostgreSQLDialect
